# -*- coding: utf-8 -*-

class Usuario(object):
    """Classe Usuário que representa um usuário do sistema ToDo
        Métodos:
                __init__: construtor que irá inicializar os atributos
                addProjeto: método que adiciona projeto à lista de projetos
    """
    def __init__(self, nickname, nome, email, senha):
        self.id_usuario = 0
        self.nickname = nickname
        self.nome = nome
        self.email = email
        self.senha = senha
        self.projetos = []

    def addProjeto(self, projeto):
        self.projetos.append(projeto)
        return 0
